| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::ContactInfoMap Struct Reference
Mapping types

`#include <TelepathyQt/Types>`

Inherits QMap< uint, ContactInfoFieldList >.

## Public Member Functions

| ContactInfoMap ()
| ContactInfoMap (const QMap< uint, ContactInfoFieldList > &a)
ContactInfoMap & | operator= (const QMap< uint, ContactInfoFieldList > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<uint, ContactInfoFieldList>, but needed to have a discrete type in the Qt type system.

A dictionary whose keys are contact handles and whose values are contact information..

## Constructor & Destructor Documentation

Tp::ContactInfoMap::ContactInfoMap | ( |  | ) |

inline

Tp::ContactInfoMap::ContactInfoMap | ( | const QMap< uint, ContactInfoFieldList > & | a | ) |

inline

## Member Function Documentation

ContactInfoMap& Tp::ContactInfoMap::operator= | ( | const QMap< uint, ContactInfoFieldList > & | a | ) |

inline